Package org.flowable.engine.migration

# Class ProcessInstanceMigrationDocumentConverter.OneToOneMappingConverter

java.lang.Object
org.flowable.engine.migration.ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<ActivityMigrationMapping.OneToOneMapping>
org.flowable.engine.migration.ProcessInstanceMigrationDocumentConverter.OneToOneMappingConverter

Enclosing class:
  `ProcessInstanceMigrationDocumentConverter`

public static class ProcessInstanceMigrationDocumentConverter.OneToOneMappingConverter extends ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<ActivityMigrationMapping.OneToOneMapping>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OneToOneMappingConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActivityMigrationMapping.OneToOneMapping`
  `convertFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `com.fasterxml.jackson.databind.JsonNode`
  `convertLocalVariablesToJson(ActivityMigrationMapping.OneToOneMapping mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected com.fasterxml.jackson.databind.node.ObjectNode`
  `convertMappingInfoToJson(ActivityMigrationMapping.OneToOneMapping mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected com.fasterxml.jackson.databind.JsonNode`
  `convertNewAssigneeToJson(ActivityMigrationMapping.OneToOneMapping mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

  ### Methods inherited from class org.flowable.engine.migration.ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter

  `convertAdditionalMappingInfoFromJson, convertAdditionalMappingInfoToJson, convertToJson, getLocalVariablesFromJson, getNewAssigneeFromJson`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OneToOneMappingConverter

    public OneToOneMappingConverter()

- ## Method Details

  - ### convertMappingInfoToJson

    protected com.fasterxml.jackson.databind.node.ObjectNode convertMappingInfoToJson(ActivityMigrationMapping.OneToOneMapping mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)
    Specified by:
      `convertMappingInfoToJson` in class `ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<ActivityMigrationMapping.OneToOneMapping>`

  - ### convertLocalVariablesToJson

    public com.fasterxml.jackson.databind.JsonNode convertLocalVariablesToJson(ActivityMigrationMapping.OneToOneMapping mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)
    Specified by:
      `convertLocalVariablesToJson` in class `ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<ActivityMigrationMapping.OneToOneMapping>`

  - ### convertNewAssigneeToJson

    protected com.fasterxml.jackson.databind.JsonNode convertNewAssigneeToJson(ActivityMigrationMapping.OneToOneMapping mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)
    Specified by:
      `convertNewAssigneeToJson` in class `ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<ActivityMigrationMapping.OneToOneMapping>`

  - ### convertFromJson

    public ActivityMigrationMapping.OneToOneMapping convertFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)
    Specified by:
      `convertFromJson` in class `ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<ActivityMigrationMapping.OneToOneMapping>`